ubuntu/+source/kde-workspace:ubuntu/trusty-devel

Last commit made on 2014-11-10
Get this branch:
git clone -b ubuntu/trusty-devel https://git.launchpad.net/ubuntu/+source/kde-workspace
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/trusty-devel
Repository:
lp:ubuntu/+source/kde-workspace

Recent commits

aec0343... by Jonathan Riddell on 2014-11-05

Import patches-unapplied version 4:4.11.11-0ubuntu0.2 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: f0329dc08f3d4259ba074d45560a800e17eaaa35

New changelog entries:
  * SECURITY UPDATE: Privilege Escalation via KDE Clock KCM polkit helper
   - Add upstream_clock-privilage-escalation.diff, checks which
     binary is being run
   - https://www.kde.org/info/security/advisory-20141106-1.txt
   - LP: #1389665

f0329dc... by Jonathan Riddell on 2014-08-25

Import patches-unapplied version 4:4.11.11-0ubuntu0.1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: f1509304fe44abff5091bc47b9836a35684edf9f

New changelog entries:
  * New upstream release (LP: #1353973)
  * Remove upstream_use-weak-pointer.patch now applied upstream

f150930... by Rohan Garg on 2014-06-19

Import patches-unapplied version 4:4.11.10-0ubuntu0.1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: fedee513c1434e961e23c12ed61d8c5b6cfc2c00

New changelog entries:
  * New upstream release (LP: #1328049)
    - drop upstream_Dont-crash-when-no-desktopnames.patch, applied upstream
    - add subtle.desktop to kdm.install
  * Add upstream_use-weak-pointer.patch

fedee51... by Rohan Garg on 2014-05-06

Import patches-unapplied version 4:4.11.9-0ubuntu0.2 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 56250d87900cbd7407522d7faf7fd77bcb2cb9aa

New changelog entries:
  * Add upstream_Dont-crash-when-no-desktopnames.patch to make KDM not crash
    on desktop files that don't set a DesktopNames field

56250d8... by Rohan Garg on 2014-05-06

Import patches-unapplied version 4:4.11.9-0ubuntu0.1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: cbd0fd1b07763eb1f1a25a1c732a7aad015a66d7

New changelog entries:
  * New upstream release (LP: #1312806)
  * Drop upstream_If-pam-kwallet-was-used-send-environment-to-it.patch,
    applied upstream
  * Drop upstream_Use-the-socket-path-sent-by-pam-kwallet-rather-than-.patch,
    applied upstream

cbd0fd1... by Harald Sitter on 2014-04-10

Import patches-unapplied version 4:4.11.8-0ubuntu6 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: b99ee912d572257642cff1d416d0673fa1ea0b3a

New changelog entries:
  [ Scott Kitterman ]
  * Revert dropping of plasma-scriptengine-ruby from plasma-scriptengines now
    that the ruby1.8 dependency for ruby-plasma is fixed
  [ Harald Sitter ]
  * Fix kubuntu_dont-force-on-path.patch proper
    + alias qdbus to a forceful QT_SELECT=4 call
    + replace the mindnumbing var eval for qdbus calls with calls through
      the alias (i.e. it reads as qdbus and not $qdbus)
  * Add upstream git commits for pam-kwallet integration LP: #1305307
    They are passing the startkde envrionment to the pam, so it can unlock
    the wallet from the right kdehome.
    + upstream_Use-the-socket-path-sent-by-pam-kwallet-rather-than-.patch
    + upstream_If-pam-kwallet-was-used-send-environment-to-it.patch

b99ee91... by Jonathan Riddell on 2014-04-09

Import patches-unapplied version 4:4.11.8-0ubuntu5 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 6df541defff3258e39ce4bc5c3e1267bbb33e250

New changelog entries:
  * Fix patch kubuntu_dont-force-on-path.patch, previous change
    broke log, sorry, LP: #1304805

6df541d... by Jonathan Riddell on 2014-04-08

Import patches-unapplied version 4:4.11.8-0ubuntu4 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 32fa1b426264c4494404bed9a5f15bd5c63e38d3

New changelog entries:
  * Set qdbus to use qt4 with local QT_SELECT in startkde

32fa1b4... by Matthias Klose on 2014-04-06

Import patches-unapplied version 4:4.11.8-0ubuntu3 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: d32e1ba7986361fe6aa7b74df95e0c68c9808939

New changelog entries:
  * plasma-scriptengines: Remove the dependency on plasma-scriptengine-ruby.
    Still depends on ruby1.8 which won't be available in trusty.

d32e1ba... by Rohan Garg on 2014-04-02

Import patches-unapplied version 4:4.11.8-0ubuntu2 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 2793cfae898f8578ab92f80d3357ff13c6f448a7

New changelog entries:
  * Don't set QT_SELECT, qdbus from Qt5 is compatible with qdbus from
    Qt4 (LP: #1299920)